- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# uInt16Channel Class Reference

This reference page is linked to from the following overview topics: Images.

Search for all occurrences

## Detailed Description

The data type for a 16 bit image channel. 0-65535 maps to 0.0 to 1.0.

Definition at line 136 of file image.h.

`#include <image.h>`

List of all members.

## Public Member Functions
| uInt16Channel (const float32Channel &d)
| uInt16Channel (const float16Channel &d)
| uInt16Channel (const uInt16Channel &d)
| uInt16Channel (const uInt8Channel &d)
| uInt16Channel (uInt16 d)
| uInt16Channel ()
uInt16Channel & | operator= (const float32Channel &d)
uInt16Channel & | operator= (const float16Channel &d)
uInt16Channel & | operator= (const uInt16Channel &d)
uInt16Channel & | operator= (uInt16 d)
uInt16Channel & | operator= (const uInt8Channel &d)
| operator float () const
| operator half_ () const
| operator uInt16 () const
| operator uInt8 () const

## Constructor & Destructor Documentation

uInt16Channel | ( | const float32Channel & | d | ) | `[inline]`

Definition at line 327 of file image.h.

    { m_data = uInt16(d); }

uInt16Channel | ( | const float16Channel & | d | ) | `[inline]`

Definition at line 328 of file image.h.

    { m_data = uInt16(d); }

uInt16Channel | ( | const uInt16Channel & | d | ) | `[inline]`

Definition at line 143 of file image.h.

    { m_data = uInt16(d); }

uInt16Channel | ( | const uInt8Channel & | d | ) | `[inline]`

Definition at line 144 of file image.h.

    { m_data = uInt16(d); }

uInt16Channel | ( | uInt16 | d | ) | `[inline]`

Definition at line 145 of file image.h.

    { m_data = (d); }

uInt16Channel | ( |  | ) | `[inline]`

Definition at line 146 of file image.h.

    {}

## Member Function Documentation

uInt16Channel & operator= | ( | const float32Channel & | d | ) | `[inline]`

Definition at line 331 of file image.h.

    {
        m_data = uInt16(d);
        return *this;
    }

uInt16Channel & operator= | ( | const float16Channel & | d | ) | `[inline]`

Definition at line 338 of file image.h.

    {
        m_data = uInt16(d);
        return *this;
    }

uInt16Channel& operator= | ( | const uInt16Channel & | d | ) | `[inline]`

Definition at line 151 of file image.h.

        {
            m_data = uInt16(d);
            return *this;
        }

uInt16Channel& operator= | ( | uInt16 | d | ) | `[inline]`

Definition at line 157 of file image.h.

        {
            m_data = uInt16(d);
            return *this;
        }

uInt16Channel& operator= | ( | const uInt8Channel & | d | ) | `[inline]`

Definition at line 163 of file image.h.

        {
            m_data = uInt16(d);
            return *this;
        }

operator float | ( |  | ) | const `[inline]`

Definition at line 169 of file image.h.

    { return m_data * (1.0f/65535.0f); }

operator half_ | ( |  | ) | const `[inline]`

Definition at line 170 of file image.h.

    { return half_(m_data * (1.0f/65535.0f)); }

operator uInt16 | ( |  | ) | const `[inline]`

Definition at line 171 of file image.h.

    { return m_data;               }

operator uInt8 | ( |  | ) | const `[inline]`

Definition at line 172 of file image.h.

    { return uInt8(m_data >> 8);   }

The documentation for this class was generated from the following file:

- Mudbox/image.h

uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel
uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel uInt16Channel